Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.actions.desktop
Class DesktopStandardActions

    java.lang.Object
      com.maryanovsky.map.client.actions.StandardActions
          com.maryanovsky.map.client.actions.desktop.DesktopStandardActions

    public class DesktopStandardActions

extends StandardActions

Implementats the standard actions which allow the user to interact with the map on a regular desktop computer, utilizing a mouse/keyboard.

Author:
  Maryanovsky Alexander

Constructor Summary
`DesktopStandardActions()`

Method Summary
`void` | `addAll(MapWidget mapWidget)` Adds all the standard actions to the specified map widget.
`static void` | `addAll(MapWidget mapWidget, boolean isAnimated)` Adds all the standard actions to the specified map widget, with optionally animated transitions.
`static ClickRecognizer` | `addDoubleClickZoomIn(MapWidget mapWidget, boolean isAnimated)` Adds an action to the specified map widget allowing the user to zoom-in and recenter on a location by double-clicking it.
`static DragRecognizer` | `addDragPan(MapWidget mapWidget)` Adds an action to the specified map widget allowing the user to pan the map by dragging it with the left mouse button.
`static ClickRecognizer` | `addRightClickPan(MapWidget mapWidget, boolean isAnimated)` Adds an action to the specified map widget allowing the user to pan the map to a specified location by right-clicking it.
`static DragRecognizer` | `addShiftDragAreaSelection(MapWidget mapWidget, boolean isKeepRatio, boolean isAnimated)` Adds an action to the specified map widget allowing the user to select the area he wants to zoom-in on by dragging a rectangle on the map while holding down the SHIFT key.
`static WheelScrollRecognizer` | `addWheelZoom(MapWidget mapWidget, boolean isAnimated)` Adds an action to the specified map widget allowing the user to zoom in or out using his mouse wheel.

Methods inherited from class com.maryanovsky.map.client.actions.StandardActions
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopStandardActions

    public DesktopStandardActions()

Method Detail

### addDragPan

    public static DragRecognizer addDragPan(MapWidget mapWidget)

  Adds an action to the specified map widget allowing the user to pan the map by dragging it with the left mouse button. Returns the `DragRecognizer` responsible for recognizing the drag gestures.

### addRightClickPan

    public static ClickRecognizer addRightClickPan(MapWidget mapWidget,
                                                   boolean isAnimated)

  Adds an action to the specified map widget allowing the user to pan the map to a specified location by right-clicking it. The transition is optionally animated. Returns the `ClickRecognizer` responsible for recognizing the click gestures.

### addDoubleClickZoomIn

    public static ClickRecognizer addDoubleClickZoomIn(MapWidget mapWidget,
                                                       boolean isAnimated)

  Adds an action to the specified map widget allowing the user to zoom-in and recenter on a location by double-clicking it. The transition is optionally animated. Returns the `ClickRecognizer` responsible for recognizing the click gestures.

### addWheelZoom

    public static WheelScrollRecognizer addWheelZoom(MapWidget mapWidget,
                                                     boolean isAnimated)

  Adds an action to the specified map widget allowing the user to zoom in or out using his mouse wheel. The transition is optionally animated. Returns the `WheelScrollRecognizer` responsible for recognizing the wheel-scroll gestures.

### addShiftDragAreaSelection

    public static DragRecognizer addShiftDragAreaSelection(MapWidget mapWidget,
                                                           boolean isKeepRatio,
                                                           boolean isAnimated)

  Adds an action to the specified map widget allowing the user to select the area he wants to zoom-in on by dragging a rectangle on the map while holding down the SHIFT key. Optionally, the rectangle is forced to the same width-to-height ratio as map widget itself. The transition is optionally animated. Returns the `DragRecognizer` responsible for recognizing the drag gestures.

### addAll

    public static void addAll(MapWidget mapWidget,
                              boolean isAnimated)

  Adds all the standard actions to the specified map widget, with optionally animated transitions.

### addAll

    public void addAll(MapWidget mapWidget)

  Adds all the standard actions to the specified map widget.

  Specified by:
    `addAll` in class `StandardActions`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD